<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="d14982be-edf6-4a63-b53a-303e2c18a256" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/out/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/Quadro.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="374">
              <caret line="22" selection-start-line="22" selection-end-line="22" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/test/java/TestQuadro.kt">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="272">
              <caret line="16" lean-forward="true" selection-start-line="16" selection-end-line="16" />
              <folding>
                <element signature="e#0#92#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Kotlin File" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="ROOT_SYNC" value="DONT_SYNC" />
  </component>
  <component name="GithubDefaultAccount">
    <option name="defaultAccountId" value="8870fc09-4a28-4190-ba82-22d2e232b3fc" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/Equation.kt" />
        <option value="$PROJECT_DIR$/src/test/java/TestQuadro.kt" />
        <option value="$PROJECT_DIR$/src/main/java/Quadro.kt" />
      </list>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="FirstFroo" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="840" />
    <option name="width" value="840" />
    <option name="height" value="1010" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="FirstFroo" type="b2602c69:ProjectViewProjectNode" />
              <item name="FirstFroo" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="FirstFroo" type="b2602c69:ProjectViewProjectNode" />
              <item name="FirstFroo" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="FirstFroo" type="b2602c69:ProjectViewProjectNode" />
              <item name="FirstFroo" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="FirstFroo" type="b2602c69:ProjectViewProjectNode" />
              <item name="FirstFroo" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="FirstFroo" type="b2602c69:ProjectViewProjectNode" />
              <item name="FirstFroo" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="FirstFroo" type="b2602c69:ProjectViewProjectNode" />
              <item name="FirstFroo" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1553193115342" />
    <property name="last_opened_file_path" value="C:/Program Files/Git/git-cmd.exe" />
    <property name="settings.editor.selected.configurable" value="GitLabConfigurableProvider" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.TestQuadro">
    <configuration name="TestQuadro" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="FirstFroo" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="TestQuadro" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestQuadro.A Is Equal Zero" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="FirstFroo" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="TestQuadro" />
      <option name="METHOD_NAME" value="A Is Equal Zero" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestQuadro.Test NoRootsMock" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="FirstFroo" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="TestQuadro" />
      <option name="METHOD_NAME" value="Test NoRootsMock" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestQuadro.Test OneRootsMock" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="FirstFroo" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="TestQuadro" />
      <option name="METHOD_NAME" value="Test OneRootsMock" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestQuadro.Test TwoRootsMock" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="FirstFroo" />
      <option name="PACKAGE_NAME" value="" />
      <option name="MAIN_CLASS_NAME" value="TestQuadro" />
      <option name="METHOD_NAME" value="Test TwoRootsMock" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.TestQuadro" />
        <item itemvalue="JUnit.TestQuadro.A Is Equal Zero" />
        <item itemvalue="JUnit.TestQuadro.Test TwoRootsMock" />
        <item itemvalue="JUnit.TestQuadro.Test OneRootsMock" />
        <item itemvalue="JUnit.TestQuadro.Test NoRootsMock" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="d14982be-edf6-4a63-b53a-303e2c18a256" name="Default Changelist" comment="" />
      <created>1553166537630</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1553166537630</updated>
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="TestQuadro_Test_OneRootsMock - 2019.03.21 at 23h 27m 52s.xml">
      <configuration name="TestQuadro.Test OneRootsMock" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestQuadro_Test_TwoRootsMock - 2019.03.21 at 23h 27m 56s.xml">
      <configuration name="TestQuadro.Test TwoRootsMock" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestQuadro_A_Is_Equal_Zero - 2019.03.21 at 23h 29m 50s.xml">
      <configuration name="TestQuadro.A Is Equal Zero" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestQuadro - 2019.03.21 at 23h 32m 13s.xml">
      <configuration name="TestQuadro" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestQuadro - 2019.03.21 at 23h 36m 13s.xml">
      <configuration name="TestQuadro" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestQuadro - 2019.03.21 at 23h 36m 40s.xml">
      <configuration name="TestQuadro" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestQuadro - 2019.03.22 at 00h 16m 33s.xml">
      <configuration name="TestQuadro" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestQuadro - 2019.03.22 at 00h 16m 39s.xml">
      <configuration name="TestQuadro" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestQuadro - 2019.03.22 at 00h 25m 42s.xml">
      <configuration name="TestQuadro" configurationId="JUnit" />
    </history-entry>
    <history-entry file="TestQuadro - 2019.03.22 at 00h 28m 24s.xml">
      <configuration name="TestQuadro" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1696" height="1026" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.2623853" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.086129755" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.09060403" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32997763" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info anchor="bottom" id="Event Log" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Messages" order="10" weight="0.32997763" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.24954128" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Maven" order="4" weight="0.3296636" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Capture Analysis" order="6" />
      <window_info anchor="right" id="Mock Manager" order="7" weight="0.3296636" />
      <window_info anchor="right" id="Palette&#9;" order="8" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.25626913" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Designer" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" visible="true" weight="0.033557046" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32997763" />
      <window_info anchor="bottom" id="Terminal" order="7" />
      <window_info anchor="bottom" id="Event Log" order="8" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="9" />
      <window_info anchor="bottom" id="Messages" order="10" weight="0.32997763" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.24954128" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Maven" order="4" weight="0.3296636" />
      <window_info anchor="right" id="Theme Preview" order="5" />
      <window_info anchor="right" id="Capture Analysis" order="6" />
      <window_info anchor="right" id="Mock Manager" order="7" weight="0.3296636" />
      <window_info anchor="right" id="Palette&#9;" order="8" />
    </layout-to-restore>
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/Equation.kt" />
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="782">
          <caret line="46" column="17" selection-start-line="46" selection-start-column="17" selection-end-line="46" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/Quadro.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="22" selection-start-line="22" selection-end-line="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/TestQuadro.kt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="272">
          <caret line="16" lean-forward="true" selection-start-line="16" selection-end-line="16" />
          <folding>
            <element signature="e#0#92#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>Python 3.7</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>